¿Cómo puedo instalar, usando Apt, Python3 con Zlib? O cani no uso apt para esto? -- apt campo con python3 campo con zlib camp askubuntu Relacionados El problema

How can I install, using apt, python3 with zlib? Or cani I not use apt for this?


0
vote

problema

Español

He instalado Python2 y Python3 usando apt.

He intentado usar

  ABCDEFGHIJKLMNABCDEFGHIJKLMN5   

y consigue

  Running virtualenv with interpreter /usr/local/bin/python3 Traceback (most recent call last):   File "/usr/lib/python3/dist-packages/virtualenv.py", line 22, in <module>     import zlib ImportError: No module named 'zlib'   

He buscado, como

  $ sudo find / -name 'libz.*' [sudo] password for x:  find: ‘/run/user/1000/gvfs’: Permission denied /snap/core/7917/lib/x86_64-linux-gnu/libz.so.1 /snap/core/7917/lib/x86_64-linux-gnu/libz.so.1.2.8 /snap/core/7713/lib/x86_64-linux-gnu/libz.so.1 /snap/core/7713/lib/x86_64-linux-gnu/libz.so.1.2.8 /snap/core18/1144/lib/x86_64-linux-gnu/libz.so.1 /snap/core18/1144/lib/x86_64-linux-gnu/libz.so.1.2.11 /snap/core18/1192/lib/x86_64-linux-gnu/libz.so.1 /snap/core18/1192/lib/x86_64-linux-gnu/libz.so.1.2.11 /usr/lib/x86_64-linux-gnu/libz.so /usr/lib/x86_64-linux-gnu/libz.a /lib/x86_64-linux-gnu/libz.so.1.2.11 /lib/x86_64-linux-gnu/libz.so.1   

¿Hay alguna manera de usar apto para instalar python3 con zlib?

Si no, ¿podría indicarme que le indique las instrucciones sobre cómo proceder?

¡Gracias!

Original en ingles

I have installed python2 and python3 using apt.

I have tried to use

$ virtualenv -p python3 testenv1 

and get

Running virtualenv with interpreter /usr/local/bin/python3 Traceback (most recent call last):   File "/usr/lib/python3/dist-packages/virtualenv.py", line 22, in <module>     import zlib ImportError: No module named 'zlib' 

I have searched, as

$ sudo find / -name 'libz.*' [sudo] password for x:  find: xe2x80x98/run/user/1000/gvfsxe2x80x99: Permission denied /snap/core/7917/lib/x86_64-linux-gnu/libz.so.1 /snap/core/7917/lib/x86_64-linux-gnu/libz.so.1.2.8 /snap/core/7713/lib/x86_64-linux-gnu/libz.so.1 /snap/core/7713/lib/x86_64-linux-gnu/libz.so.1.2.8 /snap/core18/1144/lib/x86_64-linux-gnu/libz.so.1 /snap/core18/1144/lib/x86_64-linux-gnu/libz.so.1.2.11 /snap/core18/1192/lib/x86_64-linux-gnu/libz.so.1 /snap/core18/1192/lib/x86_64-linux-gnu/libz.so.1.2.11 /usr/lib/x86_64-linux-gnu/libz.so /usr/lib/x86_64-linux-gnu/libz.a /lib/x86_64-linux-gnu/libz.so.1.2.11 /lib/x86_64-linux-gnu/libz.so.1 

Is there a way to use apt to install python3 with zlib?

If not, would you please point me to clear instructions on how to proceed?

Thanks!

        

Lista de respuestas

0
 
vote

Paso 1: Use la función de búsqueda

  $ apt search python3 zlib  Sorting... Done Full Text Search... Done python3-netcdf4/disco 1.4.2-1build1 amd64   Python 3 interface to the netCDF4 (network Common Data Form) library   

Paso 2: Use la función de Show para determinar si es el paquete que realmente desea.

  $ apt show python3-netcdf4  Package: python3-netcdf4 Version: 1.4.2-1build1 Priority: optional Section: universe/python Source: netcdf4-python Origin: Ubuntu Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org> Bugs: https://bugs.launchpad.net/ubuntu/+filebug Installed-Size: 1,599 kB Depends: python3 (<< 3.8), python3 (>= 3.7~), python3-cftime, python3-numpy (>= 1:1.14.3), python3-numpy-abi9, python3:any, libc6 (>= 2.14), libhdf5-103, libnetcdf13 (>= 1:4.4.0) Homepage: http://unidata.github.io/netcdf4-python/ Download-Size: 476 kB APT-Sources: http://us.archive.ubuntu.com/ubuntu disco/universe amd64 Packages Description: Python 3 interface to the netCDF4 (network Common Data Form) library  NetCDF version 4 has many features not found in earlier versions of the  library and is implemented on top of HDF5. This module can read and write  files in both the new netCDF 4 and the old netCDF 3 format, and can create  files that are readable by HDF5 clients. The API is modelled after  Scientific.IO.NetCDF, and should be familiar to users of that module.  .  Most new features of netCDF 4 are implemented, such as multiple unlimited  dimensions, groups and zlib data compression. All the new numeric data types  (such as 64 bit and unsigned integer types) are implemented. Compound and  variable length (vlen) data types are supported, but the enum and opaque data  types are not. Mixtures of compound and vlen data types (compound types  containing vlens, and vlens containing compound types) are not supported.  .  This package contains the netCDF 4 module for Python 3.   

Si ninguno de los paquetes APT proporciona lo que desea, luego comience a buscar paquetes PIP.

 

Step 1: Use apt's search feature

$ apt search python3 zlib  Sorting... Done Full Text Search... Done python3-netcdf4/disco 1.4.2-1build1 amd64   Python 3 interface to the netCDF4 (network Common Data Form) library 

Step 2: Use apt's show feature to determine if it's the package you really want.

$ apt show python3-netcdf4  Package: python3-netcdf4 Version: 1.4.2-1build1 Priority: optional Section: universe/python Source: netcdf4-python Origin: Ubuntu Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org> Bugs: https://bugs.launchpad.net/ubuntu/+filebug Installed-Size: 1,599 kB Depends: python3 (<< 3.8), python3 (>= 3.7~), python3-cftime, python3-numpy (>= 1:1.14.3), python3-numpy-abi9, python3:any, libc6 (>= 2.14), libhdf5-103, libnetcdf13 (>= 1:4.4.0) Homepage: http://unidata.github.io/netcdf4-python/ Download-Size: 476 kB APT-Sources: http://us.archive.ubuntu.com/ubuntu disco/universe amd64 Packages Description: Python 3 interface to the netCDF4 (network Common Data Form) library  NetCDF version 4 has many features not found in earlier versions of the  library and is implemented on top of HDF5. This module can read and write  files in both the new netCDF 4 and the old netCDF 3 format, and can create  files that are readable by HDF5 clients. The API is modelled after  Scientific.IO.NetCDF, and should be familiar to users of that module.  .  Most new features of netCDF 4 are implemented, such as multiple unlimited  dimensions, groups and zlib data compression. All the new numeric data types  (such as 64 bit and unsigned integer types) are implemented. Compound and  variable length (vlen) data types are supported, but the enum and opaque data  types are not. Mixtures of compound and vlen data types (compound types  containing vlens, and vlens containing compound types) are not supported.  .  This package contains the netCDF 4 module for Python 3. 

If none of the apt packages provide what you want, then start looking at pip packages.

 
 
 
 

Relacionados problema

2  Abortar clase-pclzip.php: Falta extensiones Zlib  ( Abort class pclzip php missing zlib extensions ) 
Desde que me recuperé de algún desastre que estaba teniendo después de actualizar mi servidor Ubuntu a 14.04, los dos sitios web de WordPress que he alojado e...

9  Necesito ayuda para obtener e intentar zlib1g-dev en Ubuntu 14.04. El error no pudo encontrar ningún paquete por regex  ( Need help getting and intalling zlib1g dev on ubuntu 14 04 error couldnt find ) 
Yo uso sudo apt-get install https://launchpad.net/ubuntu/trusty/+package/zlib1g-dev y esto es lo que se produce: Reading package lists... Done Build...

3  ¿Cómo obtengo la biblioteca de Zlib y los encabezados?  ( How do i get the zlib library and headers ) 
Quiero instalar un programa de un archivo tar.gz y cuando escribo ./configure obtuve este error: checking whether zlib support suffices... configure: er...

2  Instala el paquete de Python localmente  ( Install python package locally ) 
Soy un novato a Ubuntu, así que lo siento si la pregunta es demasiado tonta. ¿Cómo puedo instalar Paquete de Python a la versión local ya instalada de Python?...

0  Cómo ejecutar el programa usando PNG Library  ( How to run program using png library ) 
i instalado libpng y zlib y quiero ejecutar este programa usando png.h . Tengo código :: Bloques y soy completamente nuevo en ella. No sé por qué no corr...

3  GIMP se estrella en JPEG Guardar  ( Gimp crashes on jpeg save ) 
A veces, se bloquean las aplicaciones diferentes, y el sistema me notifica que la aplicación bloqueada utiliza una biblioteca de terceros ( libz ) y sugiere i...

1  Error de importación ZLIB en Python 3.5  ( Zlib import error on python 3 5 ) 
Comencé con el desarrollo web en Python (ver: 3.5.3) con matraz. Pero cuando intenté importar Zlib obtener un error de importación Python 3.5.3 (default, M...

2  /lib/x86_64-linux-gnu/libz.SO.1: No se pudo leer los símbolos: Operación no válida [cerrada]  ( Lib x86 64 linux gnu libz so 1 could not read symbols invalid operation ) 
cerrado. Esta pregunta es off-topic . Actualmente no está aceptando respuestas. ¿Quieres ...

1  Lubuntu Botas en terminal. Xorg no puedo conectarse a zlib  ( Lubuntu boots into terminal xorg cant connect to zlib ) 
Mi Estrecho de botas Lubuntu 18.04 en la terminal. Cuando intento iniciar la GUI con ABCDEFGHIJKLMNABCDEFGHIJKLMN6 obtengo el siguiente mensaje de error: ...

3  Error al instalar zlib1g-dev  ( Error installing zlib1g dev ) 
Soy un Newbie de Ubuntu y me gustaría instalar Zlib1G-Dev en Ubuntu 16.04.3 LTS. El comando: sudo apt-get install zlib1g-dev RESSULTS en el siguiente...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos